#
# $Header: /cvsroot/lesstif/lesstif/lib/Xm/Makefile.am,v 1.46 2005/03/26 06:52:26 dannybackx Exp $
#
MAINTAINERCLEANFILES=Makefile.in

src =	\
	ArrowB.c ArrowBG.c AtomMgr.c BaseClass.c BulletinBoard.c Cache.c \
	CascadeB.c CascadeBG.c Command.c CutPaste.c DebugUtil.c Desktop.c \
	Dest.c DialogS.c Display.c DragBS.c DragC.c DragIcon.c \
	DragOverS.c DragUnder.c DrawingArea.c DrawnB.c DropSMgr.c DropSMgrI.c \
	DropTrans.c ExtObject.c FileSB.c FontList.c Form.c Frame.c Gadget.c \
	GadgetUtil.c GeoUtils.c Hash.c ImageCache.c \
	LTCvt.c LT@Editres@Editres.c LTXpm.c LTglob.c \
	Label.c LabelG.c List.c \
	MainW.c Manager.c MapEvent.c MenuShell.c MenuUtil.c MessageB.c \
	Messages.c Mwm.c Obsolete.c PanedW.c Primitive.c Protocols.c \
	PushB.c PushBG.c RCUtils.c ReadImage.c Region.c RepType.c \
	ResConvert.c ResInd.c RowColumn.c Sash.c Scale.c Screen.c \
	ScrollBar.c ScrolledW.c Selection.c SelectionBox.c SeparatoG.c \
	Separator.c Shadow.c ShellExt.c Simple.c TearOff.c TearOffB.c Text.c \
	TextF.c TextIn.c TextOut.c TextStrSo.c ToggleB.c ToggleBG.c TrackLoc.c \
	Transltns.c TravAct.c Traversal.c UniqueEvent.c VaSimple.c Vendor.c \
	VirtKeys.c Visual.c World.c XmIm.c XmStrDefs.c XmString.c \
	Xmos.c misc.c

EXTRA_DIST = LTV5Editres.c  LTV6Editres.c xdnd.c $(src)

if UseXDND
XDND_SRCS = xdnd.c
endif

libXm_la_LDFLAGS=	-version-info 1:2 -no-undefined
libdir = $(exec_prefix)/lib

if Version_1_2

#libXm_la_LIBADD = $(X_LIBS) -lXt $(X_PRE_LIBS) -lX11 \
#                  $(X_EXTRA_LIBS)


lib_LTLIBRARIES=	libXm.la

#
# We need top_srcdir to pick up most of the headers
# We need top_builddir to pick up LTconfig.h and Xm.h, the generated files
#
AM_CPPFLAGS=	-I$(top_srcdir)/include/Motif-1.2 \
		-I$(top_builddir)/include/Motif-1.2 \
		-I$(top_srcdir)/include \
		-I$(top_builddir)/include \
		${X_CFLAGS}

libXm_la_SOURCES=	$(src) $(XDND_SRCS)

endif
